events.listen('item.tags', function(e) {
	
    function add(tag, id) {
        e.get(tag).add(id);
    };

    function remove(tag, id) {
        e.get(tag).remove(id);
    };
	
    //copper
	remove('forge:ingots', ['create:copper_ingot', 'occultism:copper_ingot', 'iceandfire:copper_ingot', 'immersiveengineering:ingot_copper', 'tconstruct:copper_ingot']);
	remove('forge:ingots/copper', ['create:copper_ingot', 'occultism:copper_ingot', 'iceandfire:copper_ingot', 'immersiveengineering:ingot_copper', 'tconstruct:copper_ingot']);
	
	remove('forge:nuggets', ['create:copper_nugget', 'occultism:copper_nugget', 'iceandfire:copper_nugget', 'immersiveengineering:nugget_copper', 'tconstruct:copper_nugget']);
	remove('forge:nuggets/copper', ['create:copper_nugget', 'occultism:copper_nugget', 'iceandfire:copper_nugget', 'immersiveengineering:nugget_copper', 'tconstruct:copper_nugget']);
	
	remove('forge:storage_blocks', ['create:copper_block', 'occultism:copper_block', 'iceandfire:copper_block', 'immersiveengineering:storage_copper', 'tconstruct:copper_block']);
	remove('forge:storage_blocks/copper', ['create:copper_block', 'occultism:copper_block', 'iceandfire:copper_block', 'immersiveengineering:storage_copper', 'tconstruct:copper_block']);
	
	//silver
	remove('forge:ingots', ['occultism:silver_ingot', 'iceandfire:silver_ingot', 'immersiveengineering:ingot_silver',]);
	remove('forge:ingots/silver', ['occultism:silver_ingot', 'iceandfire:silver_ingot', 'immersiveengineering:ingot_silver']);
	
	remove('forge:nuggets', ['occultism:silver_nugget', 'iceandfire:silver_nugget', 'immersiveengineering:nugget_silver']);
	remove('forge:nuggets/silver', ['occultism:silver_nugget', 'iceandfire:silver_nugget', 'immersiveengineering:nugget_silver']);
	
	remove('forge:storage_blocks', ['occultism:silver_block', 'iceandfire:silver_block', 'immersiveengineering:storage_silver']);
	remove('forge:storage_blocks/silver', ['occultism:silver_block', 'iceandfire:silver_block', 'immersiveengineering:storage_silver']);
	
	//lead
	remove('forge:ingots', 'eidolon:lead_ingot', 'immersiveengineering:ingot_lead');
	remove('forge:ingots/lead', 'eidolon:lead_ingot', 'immersiveengineering:ingot_lead');
	
	remove('forge:nuggets', 'eidolon:lead_nugget', 'immersiveengineering:nugget_lead');
	remove('forge:nuggets/lead', 'eidolon:lead_nugget', 'immersiveengineering:nugget_lead');
	
	remove('forge:storage_blocks', 'eidolon:lead_block', 'immersiveengineering:storage_lead');
	remove('forge:storage_blocks/lead', 'eidolon:lead_block', 'immersiveengineering:storage_lead');
	
	//dusts
	remove('forge:dusts', 'immersiveengineering:dust_copper');
	remove('forge:dusts/copper', 'immersiveengineering:dust_copper');
	
	remove('forge:dusts', 'immersiveengineering:dust_lead');
	remove('forge:dusts/lead', 'immersiveengineering:dust_lead');
	
	remove('forge:dusts', 'immersiveengineering:dust_silver');
	remove('forge:dusts/silver', 'immersiveengineering:dust_silver');
	
	remove('forge:dusts', 'immersiveengineering:dust_iron');
	remove('forge:dusts/iron', 'immersiveengineering:dust_iron');
	
	remove('forge:dusts', 'immersiveengineering:dust_gold');
	remove('forge:dusts/gold', 'immersiveengineering:dust_gold');
})

events.listen('block.tags', function(e) {
    function add(tag, id) {
        e.get(tag).add(id);
    };

    function remove(tag, id) {
        e.get(tag).remove(id);
    };
	
	remove('forge:storage_blocks', ['create:copper_block', 'occultism:copper_block', 'iceandfire:copper_block', 'immersiveengineering:storage_copper', 'tconstruct:copper_block']);
	remove('forge:storage_blocks/copper', ['create:copper_block', 'occultism:copper_block', 'iceandfire:copper_block', 'immersiveengineering:storage_copper', 'tconstruct:copper_block']);
	
	remove('forge:storage_blocks', ['occultism:silver_block', 'iceandfire:silver_block', 'immersiveengineering:storage_silver']);
	remove('forge:storage_blocks/silver', ['occultism:silver_block', 'iceandfire:silver_block', 'immersiveengineering:storage_silver']);
	
	remove('forge:storage_blocks', 'eidolon:lead_block', 'immersiveengineering:storage_lead');
	remove('forge:storage_blocks/lead', 'eidolon:lead_block', 'immersiveengineering:storage_lead');
})



//complete output removal

events.listen('recipes', function (event) {
	
	var outputRemovals = [
	'create:copper_ingot', 'occultism:copper_ingot', 'iceandfire:copper_ingot', 'tconstruct:copper_ingot',
	'occultism:silver_ingot', 'iceandfire:silver_ingot',
	'eidolon:lead_ingot',
	
	'create:copper_nugget', 'occultism:copper_nugget', 'iceandfire:copper_nugget', 'tconstruct:copper_nugget',
	'occultism:silver_nugget', 'iceandfire:silver_nugget',
	'eidolon:lead_nugget',
	
	'create:copper_block', 'occultism:copper_block', 'iceandfire:copper_block', 'tconstruct:copper_block',
	'occultism:silver_block', 'iceandfire:silver_block',
	'eidolon:lead_block',

	'immersiveengineering:ingot_copper',
	'immersiveengineering:ingot_silver',
	'immersiveengineering:ingot_lead',
	
	'immersiveengineering:nugget_copper',
	'immersiveengineering:nugget_silver',
	'immersiveengineering:nugget_lead',
	
	'immersiveengineering:storage_copper',
	'immersiveengineering:storage_silver',
	'immersiveengineering:storage_lead',
	
	'immersiveengineering:dust_copper',
	'immersiveengineering:dust_lead',
	'immersiveengineering:dust_silver',
	'immersiveengineering:dust_iron',
	'immersiveengineering:dust_gold',
	
	'occultism:obsidian_dust',
	
	'zycraft:aluminium',
	'zycraft:aluminium_block',
	
	'tconstruct:netherite_nugget'
]


	
outputRemovals.forEach(function (removal) {
        event.remove({ output: removal });
    });
	
});